Bug 4572 - pump should save state
pump should save state
Status: CLOSED NOTABUG
Product: Red Hat Linux
Classification: Retired
Component: pump (Show other bugs)
6.0
All Linux
medium Severity medium
: ---
: ---
Assigned To: Elliot Lee
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 1999-08-17 10:15 EDT by cmoore
Modified: 2008-05-01 11:37 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2001-07-16 09:40:02 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description cmoore 1999-08-17 10:15:05 EDT
Hello,

I was recently forced to reboot my RH6.0 system during what
turned out to be a period when the local Roadrunner DHCP
server was down.  At that point I couldn't get Linux back up
again with network services and I had to wait about eight
hours for the cable folks to fix their machine. (pump
0.7.0-1)

My machine is dual-boot with Windows 98 and during this
time, W98 worked perfectly.  I suspect, therefore, that W98
has cached the DHCP information and as long as the lease
hasn't expired they go ahead and use it even if the DHCP
server is down.

I suggest that this behavior would be the right thing for
pump.  Barring that, a way to recall the last DHCP
information and force its use would have saved several hours
of frustration.


Thanks,

Christopher Moore
cmoore@cfa.harvard.edu
Comment 1 Elliot Lee 2001-07-16 16:07:42 EDT
The requested behaviour can cause problems.

e.g. Certain Somebody brings their laptop to work from home, boots Windows up,
and gets LARTed by sysadmins shortly thereafter because the laptop is using its
home-acquired DHCP address on the corporate network.

Needless to say, I was not pleased with the Windows behaviour, and not only does
the present pump behaviour prevent this problem, it is also much more "correct"
(you're not supposed to use an IP without a lease for it).

So, closing this very old bug.

Note You need to log in before you can comment on or make changes to this bug.